set -e
for dataset in "cora" "chameleon" "squirrel" "pubmed" "citeseer" "roman-empire" "minesweeper" "tolokers" "amazon-ratings" "arxiv" "reddit"; do
    python ./train_gcn.py --dataset "$dataset" --grid-search
done
for dataset in "cora" "chameleon" "squirrel" "pubmed" "citeseer" "roman-empire" "minesweeper" "tolokers" "amazon-ratings" "arxiv" "reddit"; do
    python ./train_gcn.py --dataset "$dataset" --final-acc
done